## fwts 0.26.05

=== Makefile ===
obj-m += efi_runtime.o
all:
	make -C /lib/modules/`uname -r`/build M=`pwd` modules

clean:
	make -C /lib/modules/`uname -r`/build M=`pwd` clean
