## fwts 0.18.04

=== debian/changelog ===
fwts (0.18.04) maverick; urgency=low
 
  * fix build issues with bad cpufreq fix
  * New upstream version 0.18.04

 -- Colin King <colin.king@canonical.com>  Wed, 15 Sep 2010 10:41:34 +0100

fwts (0.18.03) maverick; urgency=low
 
  * Log correct CPU number when NX text finds a failure (LP: #638783)
  * cpufreq: fix typo, Harware to Hardware
  * New upstream version 0.18.03

 -- Colin King <colin.king@canonical.com>  Wed, 15 Sep 2010 10:19:23 +0100
 

fwts (0.18.02) maverick; urgency=low
 
  * FADT test read correct ACPI table from /sys/firmware (LP: #627959)
  * New upstream version 0.18.02

 -- Colin King <colin.king@canonical.com>  Wed, 1 Sep 2010 11:11:20 +0100
 

fwts (0.18.01) maverick; urgency=low
 
  * New upstream version 0.18.01
 
 -- Colin King <colin.king@canonical.com>  Fri, 13 Aug 2010 10:04:54 +0100
 

fwts (0.18.0) maverick; urgency=low
 
  * New upstream version 0.18.0
 
 -- Colin King <colin.king@canonical.com>  Thu, 12 Aug 2010 19:09:19 +0100
 

fwts (0.17.9.1) maverick; urgency=low
 
  * New upstream version 0.17.9.1
 
 -- Colin King <colin.king@canonical.com>  Thu, 12 Aug 2010 19:01:49 +0100
 

fwts (0.17.9) maverick; urgency=low
 
  * New upstream version 0.17.9
 
 -- Colin King <colin.king@canonical.com>  Sat, 7 Aug 2010 20:17:31 +0100
 

fwts (0.17.8) maverick; urgency=low
 
  * New upstream version 0.17.8
 
 -- Colin King <colin.king@canonical.com>  Sat, 7 Aug 2010 19:08:56 +0100
 

fwts (0.17.7) maverick; urgency=low
 
  * New upstream version 0.17.7
 
 -- Colin King <colin.king@canonical.com>  Sat, 7 Aug 2010 18:59:59 +0100
 

fwts (0.17.6) maverick; urgency=low
 
  * New upstream version 0.17.6
 
 -- Colin King <colin.king@canonical.com>  Sat, 7 Aug 2010 18:14:48 +0100
 

fwts (0.17.5) maverick; urgency=low
 
  * New upstream version 0.17.5
 
 -- Colin King <colin.king@canonical.com>  Fri, 6 Aug 2010 09:14:45 +0100
 

fwts (0.17.4) maverick; urgency=low
 
  * New upstream version 0.17.4
 
 -- Colin King <colin.king@canonical.com>  Tue, 3 Aug 2010 15:36:02 +0100
 

fwts (0.17.3) maverick; urgency=low
 
  * New upstream version 0.17.3
 
 -- Colin King <colin.king@canonical.com>  Fri, 30 Jul 2010 08:54:12 +0100
 

fwts (0.17.2) maverick; urgency=low
 
  * New upstream version 0.17.2
 
 -- Colin King <colin.king@canonical.com>  Wed, 28 Jul 2010 12:20:07 +0100
 

fwts (0.17.1) maverick; urgency=low
 
  * New upstream version 0.17.1
 
 -- Colin King <colin.king@canonical.com>  Tue, 27 Jul 2010 17:57:01 +0100
 

fwts (0.17.0) maverick; urgency=low
 
  * New upstream version 0.17.0
 
 -- Colin King <colin.king@canonical.com>  Fri, 23 Jul 2010 16:32:58 +0200
 

fwts (0.16.14) maverick; urgency=low
 
  * New upstream version 0.16.14
 
 -- Colin King <colin.king@canonical.com>  Fri, 23 Jul 2010 10:56:53 +0200
 

fwts (0.16.13) maverick; urgency=low
 
  * New upstream version 0.16.13
 
 -- Colin King <colin.king@canonical.com>  Fri, 23 Jul 2010 10:40:40 +0200
 

fwts (0.16.12) maverick; urgency=low
 
  * New upstream version 0.16.12
 
 -- Colin King <colin.king@canonical.com>  Thu, 22 Jul 2010 15:49:14 +0100
 

fwts (0.16.11) maverick; urgency=low
 
  * New upstream version 0.16.11
 
 -- Colin King <colin.king@canonical.com>  Wed, 21 Jul 2010 10:54:20 +0200
 

fwts (0.16.10) maverick; urgency=low
 
  * New upstream version 0.16.10
 
 -- Colin King <colin.king@canonical.com>  Mon, 19 Jul 2010 14:11:26 +0100
 

fwts (0.16.09) maverick; urgency=low
 
  * New upstream version 0.16.09
 
 -- Colin King <colin.king@canonical.com>  Sat, 17 Jul 2010 14:55:38 +0100
 

fwts (0.16.08) maverick; urgency=low
 
  * New upstream version 0.16.08
 
 -- Colin King <colin.king@canonical.com>  Fri, 16 Jul 2010 11:22:17 +0100
 

fwts (0.16.07) maverick; urgency=low
 
  * New upstream version 0.16.07
 
 -- Colin King <colin.king@canonical.com>  Thu, 15 Jul 2010 15:25:44 +0100
 

fwts (0.16.06) maverick; urgency=low
 
  * New upstream version 0.16.06
 
 -- Colin King <colin.king@canonical.com>  Thu, 15 Jul 2010 10:07:43 +0100
 

fwts (0.16.05) maverick; urgency=low
 
  * New upstream version 0.16.05
 
 -- Colin King <colin.king@canonical.com>  Mon, 12 Jul 2010 10:22:40 +0100
 

fwts (0.16.04) maverick; urgency=low
 
  * New upstream version 0.16.04
 
 -- Colin King <colin.king@canonical.com>  Sat, 10 Jul 2010 19:22:54 +0100
 

fwts (0.16.03) maverick; urgency=low
 
  * New upstream version 0.16.03
 
 -- Colin King <colin.king@canonical.com>  Fri, 9 Jul 2010 18:41:53 +0100
 

fwts (0.16.02) maverick; urgency=low
 
  * New upstream version 0.16.02
 
 -- Colin King <colin.king@canonical.com>  Thu, 8 Jul 2010 19:29:36 +0100
 

fwts (0.16.01) maverick; urgency=low
 
  * New upstream version 0.16.01
 
 -- Colin King <colin.king@canonical.com>  Thu, 8 Jul 2010 13:59:51 +0100
 

fwts (0.16.0) maverick; urgency=low
 
  * New upstream version 0.16.0
 
 -- Colin King <colin.king@canonical.com>  Thu, 8 Jul 2010 10:49:04 +0100
 

fwts (0.15.9) maverick; urgency=low
 
  * New upstream version 0.15.9
 
 -- Colin King <colin.king@canonical.com>  Thu, 8 Jul 2010 09:25:17 +0100
 

fwts (0.15.8) maverick; urgency=low
 
  * New upstream version 0.15.8
 
 -- Colin King <colin.king@canonical.com>  Wed, 7 Jul 2010 20:00:03 +0100
 

fwts (0.15.7) maverick; urgency=low
 
  * New upstream version 0.15.7
 
 -- Colin King <colin.king@canonical.com>  Tue, 6 Jul 2010 19:50:01 +0100
 

fwts (0.15.6) maverick; urgency=low
 
  * New upstream version 0.15.6
 
 -- Colin King <colin.king@canonical.com>  Tue, 6 Jul 2010 10:13:06 +0100
 

fwts (0.15.5) maverick; urgency=low
 
  * New upstream version 0.15.5
 
 -- Colin King <colin.king@canonical.com>  Mon, 5 Jul 2010 18:23:47 +0100
 

fwts (0.15.4) maverick; urgency=low
 
  * New upstream version 0.15.4
 
 -- Colin King <colin.king@canonical.com>  Mon, 5 Jul 2010 17:05:00 +0100
 

fwts (0.15.3) maverick; urgency=low
 
  * New upstream version 0.15.3
 
 -- Colin King <colin.king@canonical.com>  Mon, 5 Jul 2010 12:22:25 +0100
 

fwts (0.15.2) maverick; urgency=low
 

