=== debian/control ===
Source: fwts
Section: devel
Priority: optional
Maintainer: Colin King <colin.king@ubuntu.com>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7), libpcre3-dev (>= 7.8)

Package: fwts
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pciutils, iasl, pciutils, dmidecode
Description: FirmWare Test Suite
 This is a firmware test suite that performs sanity checks on Intel/AMD 
 PC firmware. It is intended to identify BIOS and ACPI errors and 
 if appropriate it will try to explain the errors and give advice to 
 help workaround or fix firmware bugs.  It is primarily intended to 
 be a Linux-centric firmware troubleshooting tool.
