## fwts 0.22.13

=== debian/changelog ===
fwts (0.22.13) natty; urgency=low

  * fix minor typos and error messages (LP: #751248)
  * debian: control: fix typos
  * acpi: method: fix typo in THERM check.
  * acpi: method: fix false alert with THERM check.
  * acpi: wmi: fix guidstr: should be all in uppercase.

 -- Colin King <colin.king@canonical.com>  Thu, 5 Apr 2011 12:44:07 +0100

fwts (0.22.12) natty; urgency=low

  * lib: fwts_cpu_enumerate: use sysconf instead of /proc/acpi (LP: #746428)

 -- Colin King <colin.king@canonical.com>  Thu, 31 Mar 2011 14:27:43 +0100

fwts (0.22.11) natty; urgency=low

  * acpi: method: fix incorrect semaphore counts (LP: #744405)
  * method: rename *execute* -> *evaluate*

 -- Colin King <colin.king@canonical.com>  Thu, 31 Mar 2011 12:17:12 +0100

fwts (0.22.10) natty; urgency=low

  * disable debug when hitting AML_BREAK_POINT opcodes (LP: #741555)

 -- Colin King <colin.king@canonical.com>  Thu, 24 Mar 2011 09:47:23 +0000

fwts (0.22.09) natty; urgency=low

  * work around systems that don't support MAP32_BIT (LP: #739256)

 -- Colin King <colin.king@canonical.com>  Mon, 21 Mar 2011 09:57:00 +0000

fwts (0.22.08) natty; urgency=low

  * fix segfault of method test on 64 bit machines (LP: #736874)

 -- Colin King <colin.king@canonical.com>  Thu, 17 Mar 2011 14:13:12 +0000

fwts (0.22.07) natty; urgency=low

  * drop thermal_trip test (LP: #730132)
  * method test: reference /sys/class/thermal/thermal_zone

 -- Colin King <colin.king@canonical.com>  Sun, 6 Mar 2011 13:51:10 +0000

fwts (0.22.06) natty; urgency=low

  * acpi: cstates: fix progress calculation, tidy up code.

 -- Colin King <colin.king@canonical.com>  Fri, 4 Mar 2011 10:37:00 +0000

fwts (0.22.05) natty; urgency=low
  
  * Fix cstates test (LP: #728685)
  * acpi: acpidump: use more sensible heading, fix SCI text
  * hpet: Fail test and skip sanity check when base address not found
  * bios: ebda_region: close fd on error

 -- Colin King <colin.king@canonical.com>  Thu, 3 Mar 2011 20:42:02 +0000

fwts (0.22.04) natty; urgency=low

  * acpi: acpidump: use more sensible heading, fix SCI text
  * hpet: Fail test and skip sanity check when base address not found
  * bios: ebda_region: close fd on error.

 -- Colin King <colin.king@canonical.com>  Thu, 3 Mar 2011 09:37:39 +0000

fwts (0.22.03) natty; urgency=low

  * Fixes for lintian warnings (LP: #725336)
  * fix build order (acpica/source/compiler must build first)

 -- Colin King <colin.king@canonical.com>  Fri, 25 Feb 2011 23:15:01 +0000

fwts (0.22.02) natty; urgency=low

  * clean up libtool linker usage.
  * fix build order (acpica/source/compiler must build first).
  * remove redundant 2nd pciutils from control file.
  * lib: virt: rename exec_cpuid to fwts_exec_cpuid
  * lib: acpid: rename event funcs with fwts_ prrefix
  * configure.ac: remove AC_PROG_OBJCOPY
  * debian: control: add more description to libraries.
  * acpi: acpidump: fix typo 'suppored' -> 'supported'.
  * doc: fwts man page: fix - to \-

 -- Colin King <colin.king@canonical.com>  Fri, 25 Feb 2011 16:36:23 +0000

fwts (0.22.01) natty; urgency=low

  * Fixes for minor bugs (LP: #723746)
  * bios: mtrr: fix: disable MTRR VGA test as it is not helpful.
  * doc: fix fwts man page, remove duplicated -s options.
  * acpi: s3: fix typo.
  * acpi: method: comments on what needs testing.
  * bios: mtrr: fix to stop valgrind complaining.
  * lib: fwts_summary: fix summary fields to fit in 80 columns.

 -- Colin King <colin.king@canonical.com>  Wed, 23 Feb 2011 14:37:00 +0000

fwts (0.22.00) natty; urgency=low

  * New version for Natty release (LP: #720271)
  * New upstream version 0.22.00

 -- Colin King <colin.king@canonical.com>  Wed, 16 Feb 2011 18:47:59 +0000

fwts (0.21.15) natty; urgency=low

  * summary: collate summary items for a more compact summary.
  * klog: add better progress feedback when scanning large logs.
  * args: fix optind offset bug.
  * klog: add _BCM execution failure check.
  * klog: add more intelligence to FADT checking.
  * New upstream version 0.21.15

 -- Colin King <colin.king@canonical.com>  Wed, 16 Feb 2011 16:20:00 +0000

fwts (0.21.14) natty; urgency=low

  * acpi: s3,s4: break up pass/fail message summary.
  * New upstream version 0.21.14

 -- Colin King <colin.king@canonical.com>  Tue, 15 Feb 2011 19:50:04 +0000

fwts (0.21.13) natty; urgency=low

  * Print informational count when non-zero
  * tidy up progress output.
  * change results text "informational" to "info only".
  * cpu microcode test: remove need to alloc/free cpu list.
  * bios mtrr test: check for list_new NULL return.
  * arg handling: remove need for alloc/free of options_list
  * sort tests on name when dumping list of available tests.
  * New upstream version 0.21.13

 -- Colin King <colin.king@canonical.com>  Sat, 12 Feb 2011 18:38:20 +0000

fwts (0.21.12) natty; urgency=low

  * Print informational count when non-zero
  * New upstream version 0.21.12

 -- Colin King <colin.king@canonical.com>  Fri, 11 Feb 2011 23:29:00 +0000

fwts (0.21.11) natty; urgency=low

  * Fix skipped message truncation
  * Make static libs into shared libs
  * New upstream version 0.21.11

 -- Colin King <colin.king@canonical.com>  Fri, 11 Feb 2011 22:49:40 +0000

fwts (0.21.10) natty; urgency=low

  * Extend progress feedback.
  * New upstream version 0.21.10

 -- Colin King <colin.king@canonical.com>  Thu, 10 Feb 2011 18:33:39 +0000

fwts (0.21.09) natty; urgency=low

  * Add more feedback during s3, s4 tests.
  * Add better arg checking post arg parsing.
  * Fix a bunch of typos in s3, s4 help.
  * New upstream version 0.21.09

 -- Colin King <colin.king@canonical.com>  Thu, 10 Feb 2011 15:13:22 +0000

fwts (0.21.08) natty; urgency=low

  * Ensure all tests log a passed/failed/skipped/aborted/infoonly state (LP: #715755)
  * Add --s3-device-check-delay option
  * Add --s4-device-check-delay option
  * New upstream version 0.21.08

 -- Colin King <colin.king@canonical.com>  Wed, 9 Feb 2011 15:08:20 +0000


