## fwts 0.22.14

=== debian/changelog ===
fwts (0.22.14) natty-proposed; urgency=low

  * lib: fwts_iasl: fix segfault on bad input: (LP: #781709)
  * lib: fwts_cpu: call _exit() on signal

 -- Colin King <colin.king@canonical.com>  Thu, 12 May 2011 16:38:31 +0200
