## fwts 0.23.25

=== debian/changelog ===
fwts (0.23.25) oneiric; urgency=low

  * acpi: checksum: output correct checksum value (LP: #869018)
  * framework: -T option should be -t, (LP: #868226)

 -- Colin King <colin.king@canonical.com>  Thu, 6 Oct 2011 15:11:00 +0100

fwts (0.23.24) oneiric; urgency=low

  * acpi: method: relax _BIF, _BIX tests.
  * acpi: method: Check _BST charging + discharging more thoroughly (LP: #862153)
  * acpi: acpitables: fix spurious advice infomation (LP: #862170)
  * pci: maxreadreq: add more helpful advice (LP: #859651)

 -- Colin King <colin.king@canonical.com>  Thu, 29 Sep 2011 11:07:12 +0100

fwts (0.23.23) oneiric; urgency=low

  * cmos: cmosdump: fix floppy disk info
  * cmos: cmosdump: fix register 0x0b dump (LP: #837969)

 -- Colin King <colin.king@canonical.com>  Wed, 31 Aug 2011 17:07:34 +0100

fwts (0.23.22) oneiric; urgency=low

  * declare various private variables and functions static (LP: #837215)
  * bios: multiproc: make mpdump_get_apic_id static
  * bios: multiproc: remove redundant mpcheck_get_apic_id()
  * cpu: virt: make cpu_has_vmx static
  * acpi: lid: make lid_*() static
  * acpi: ac_adapter: make ac_adapter_check_field static
  * acpi: powerbutton: make power_button_check_field static
  * acpi: brightness: make *_setting static
  * cpu: virt: make cpu_has_svm, vt_locked_by_bios static
  * lib: framework: make init funcs static
  * acpi: wmi: make wmi_wdg_flags_to_text() static
  * bios: mtrr: rename fwts_virt_cpuinfo to fwts_cpuinfo
  * acpi: acpidump: make table_vec static
  * cpu: msr: make cpuinfo static
  * acpi: ac_adapter: make ac_adapterdir static
  * acpi: lid: make liddir static
  * acpi: powerbutton: make power_buttondir static
  * bios: mtrr: remove redundant mtrr_resource
  * acpi: acpidump: fix typo 'Sealed Case'
  * cpu: msr: drop TSC_AUX and SMBASE tests (LP: #834591)

 -- Colin King <colin.king@canonical.com>  Tue, 30 Aug 2011 09:18:53 +0100

fwts (0.23.21) oneiric; urgency=low

  * acpi: acpitables: remove false positive warnings (LP: #833644)
  * acpi: method: don't run mobile platform tests on servers (LP: #834554)
  * bios: mpcheck: check uniqueness of CPU APIC IDs (LP: #834504)
  * acpi: cstates: drop experimental status of the test.

 -- Colin King <colin.king@canonical.com>  Fri, 26 Aug 2011 11:05:19 +0100

fwts (0.23.20) oneiric; urgency=low

  * hpet: hpet_check: get HPET base on newer kernel logs (LP: #832273)

 -- Colin King <colin.king@canonical.com>  Tue, 23 Aug 2011 19:56:23 +0100

fwts (0.23.19) oneiric; urgency=low

  * apci: fan: use newer thermal interface, test fans on loaded CPU (LP: #831905)

 -- Colin King <colin.king@canonical.com>  Tue, 23 Aug 2011 12:12:12 +0100

fwts (0.23.18) oneiric; urgency=low

  * lib: acpica: ensure table pointers are NULL when table input is corrupt (LP: #826774)

 -- Colin King <colin.king@canonical.com>  Mon, 15 Aug 2011 15:33:30 +0100

fwts (0.23.17) oneiric; urgency=low

  * acpi: method: tidy up source.
  * acpi: acpitables: tidy up source.
  * acpi: wmi: tidy up source.
  * acpi: wakealarm: tidy up source.
  * acpi: syntaxcheck: tidy up source.
  * acpi: s4: tidy up source.
  * acpi: s3power: tidy up source.
  * acpi: s3: tidy up source.
  * acpi: powerbutton: tidy up source.
  * acpi: osilinux: tidy up source.
  * acpi: mcfg: tidy up source.
  * acpi: lid: fix failure format string (LP: #826676)
  * acpi: klog: tidy up source.
  * acpi: fan: tidy up source.
  * acpi: fadt: tidy up source.
  * acpi: dmar: tidy up source.
  * acpi: cstates: tidy up source.
  * acpi: common: tidy up source.
  * acpi: checksum: tidy up source.
  * acpi: battery: tidy up source.
  * acpi: apicinstance: tidy up source.
  * acpi: acpiinfo: tidy up source.
  * acpi: ac_adapter: tidy up source.

 -- Colin King <colin.king@canonical.com>  Mon, 15 Aug 2011 12:11:12 +0100

fwts (0.23.16) oneiric; urgency=low

  * cpu: virt: tidy up sources.
  * cpu: nx: tidy up source.
  * cpu: msr: tidy up source.
  * cpu: microcode: tidy up source.
  * cpu: maxfreq: tidy up source.
  * cpu: cpufreq: tidy up source.
  * hotkey: hotkey: tidy up source.
  * dmi: dmi_decode: fix failure format string (LP: #826418)
  * kernel: version: tidy up source.
  * kernel: oops: tidy up source.
  * cmos: cmosdump: tidy up source.
  * apic: apicedge: tidy up source.
  * pci: maxreadreq: tidy up source.
  * pci: crs: tidy up source.

 -- Colin King <colin.king@canonical.com>  Sun, 14 Aug 2011 21:04:00 +0100

fwts (0.23.15) oneiric; urgency=low

  * lib: fwts_framework: helper macros: use fmt arg
  * bios: os2gap: add more failure info.
  * bios: smbios: tidy up source.
  * bios: romdump: tidy up source.
  * bios: os2gap: fix failure format string (LP: #825945)
  * bios: mtrr: tidy up source.
  * bios: memmapdump: tidy up source.
  * bios: hdaaudio: tidy up source.
  * bios: ebda_region: tidy up source.
  * bios: ebdadump: tidy up source.
  * bios: bios_info: tidy up source.
  * bios: bios32: tidy up source.
  * bios: mpcheck: tidy up source.

 -- Colin King <colin.king@canonical.com>  Sat, 13 Aug 2011 21:33:00 +0100

fwts (0.23.14) oneiric; urgency=low

  * lib: fwts_acpi_tables: make acpidump parsing more resiliant to bad data.
  * lib: fwts_acpi_tables: read in data correctly (LP: #818042)
  * acpi: checksum: handle RSDP.
  * lib: fwts_acpi_tables.h: add fwts_acpi_checksum
  * lib: fwts_acpi_tables: name RSD PTR to RSDP.
  * lib: fwts_acpi_tables: handle ACPI 1.0 sized RSDP
  * lib: fwts_acpi: rsdp requires a 64 bit xsdt
  * acpi: syntaxcheck: log errors as per-test failures and include unique error code in error.
  * acpi: acpitables: add more advice, deprecate FACS test, it was nonsense.

 -- Colin King <colin.king@canonical.com>  Fri, 29 Jul 2011 17:28:00 +0100

fwts (0.23.13) oneiric; urgency=low

  * lib + method test: better handling of object eval errors. (LP: #816877)
  * apci: method: detect zero sized access bit width (LP: #816877)
  * acpi: method: check for NULL _DDC and _UID object returns.

