=== debian/control ===
Source: fwts
Section: devel
Priority: optional
Maintainer: Colin King <colin.king@ubuntu.com>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7), libpcre3-dev (>= 7.8), libjson0-dev (>= 0.9), flex, bison

Package: fwts
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pciutils, dmidecode
Description: FirmWare Test Suite
 This is a firmware test suite that performs sanity checks on Intel/AMD 
 PC firmware. It is intended to identify BIOS and ACPI errors and 
 if appropriate it will try to explain the errors and give advice to 
 help workaround or fix firmware bugs.  It is primarily intended to 
 be a Linux-centric firmware troubleshooting tool.

Package: libfwtsiasl1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FirmWare Test Suite ACPICA core built for iasl functionality
 The firmware test suite requires the ACPICA core engine to be built in
 compiler mode (with ACPI_ASL_COMPILER enabled) to support assembly and 
 disassembly of ACPI Machine Language (AML) in the ACPI DSDT and SSDTs.
 This library contains this code with a thin fwts specific API to 
 interface with fwts.

Package: libfwtsacpica1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FirmWare Test Suite ACPICA core built for acpiexec functionality
 The firmware test suite requires the ACPICA core engine to be built in
 execution mode (with ACPI_EXEC_APP enabled) to support run time execution
 of ACPI Machine Language (AML) in the ACPI DSDT and SSDTs. This library
 contains this code with a thin fwts specific API to interface with fwts.

Package: libfwts1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FirmWare Test Suite core support library
 This is the fwts core library. It contains a top level test framework
 and a rich range of firmware specific testing support code for the 
 various fwts tests.
