## fwts 0.24.21

=== debian/changelog ===
fwts (0.24.21) precise; urgency=low

  [Alex Hung]
  * pcie: add pcie aspm registers check on root port and device.

  [Chris Van Hoof]
  * fwts-frontend: v2 update to conditional logic to better detect
    if we're booted via casper and additional logic to toggle auto
    shutdown behaviour when testing

  [Colin Ian King]
  * uefi: uefidump: handle realloc failure
  * lib: fwts_pipeio: handle realloc failure 
  * lib: fwts_args: handle realloc failure
  * lib: acpid: handle realloc failures in fwts_acpi_event_read()
  * lib: fwts_acpi_tables: handle fwts_low_realloc() failures
  * acpica: handle realloc failures in fwts_acpica_vprintf()
  * lib: fwts_klog: remove redundant free()
  * acpi: checksum: flag up errors that are critical, add more helpful advice
  * acpi: checksum: fix typo shorted -> shortened
  * acpi: checksum: reformat lines to fit into 80 columns
  * acpi: wmi: use snprintf to be safe
  * acpi: wmi: const func args
  * acpi: wmi: reformat source into 80 columns
  * acpi: dmar: make seg a uint16_t rather than an int
  * acpi: dmar: make func args const
  * acpi: acpiinfo: tidy up source
  * bios: hdaaudio: ensure source fits into 80 columns
  * bios: hdaaudio: use calloc() instead of malloc()
  * lib: fwts_tag: handle out of memory failure
  * bios: ebdadump: ensure source fits into 80 columns
  * bios: bios32: ensure source fits into 80 columns
  * lib: arg + framework: more robust out of memory handling.
  * lib: fwts_stringextras: handle out of memory failure
  * uefi: uefidump: fix infinite recursion on unknown end terminator (v2)
  * bios: memmapdump: ensure source fits into 80 columns
  * acpica: fwts_acpica_init(): handle out of memory failures
  * bios: mtrr: handle out of memory failures
  * hpet: hpet_check: make func args const where possible
  * hpet: hpet_check: ensure source fits into 80 columns
  * fwts-collect: fix typo
  * fwts-collect: tidy up error handling
  * fwts-collect: collect more fwts dumped data
  * read /proc/mtrr rather than use ioctl() interface

  [Keng-Yu Lin]
  * debian: use autoreconf instead of dh-autoreconf

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Fri, 09 Mar 2012 15:04:30 +0800

fwts (0.24.20) precise; urgency=low

  [Chris Van Hoof]
  * debian: update fwts-frontend.install to include
    fwts-frontend-text man page
  * doc: addition of fwts-frontend-text man page
  * src/Makefile: include fwts-frontend-text.1 to man_MANS

  [Keng-Yu Lin]
  * auto-packager: change the git location
  * auto-packager: add Precise release

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Thu, 09 Feb 2012 18:00:42 +0800

fwts (0.24.19) precise; urgency=low

  [Alex Hung]
  * dmi: dmi_decode: check type 3 chassis type with acpi preferred_pm_profile
  * dmi: dmi_decode: check acpi battery if type 22 is present.
  * pcie: aspm: use FWTS_ROOT_PRIV flag

  [Colin Ian King]
  * cpu: msr: GPF avoidance on BOCHs QEMU systems (LP: #925001)
 
 -- Keng-Yu Lin <kengyu@ubuntu.com>  Thu, 09 Feb 2012 13:52:50 +0800

fwts (0.24.18) precise; urgency=low

  [Alex Hung]
  * cpu:msr: fixed errors for checking SMRR MSR registers

  [Keng-Yu Lin]
  * Fix a typo error of "DSTD" 

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Mon, 06 Feb 2012 16:39:43 +0800

fwts (0.24.17) precise; urgency=low

  [Alex Hung]
  * pcie: aspm: add aspm option and detect if the
    "PCIe ASPM Controls" bit is set in FADT.

  [Colin Ian King]
  * Sanity check for MSR_IA32_ENERGY_PERF_BIAS messages.
  * Since aspm is a test, move it out of the fwts core library
  * Update copyright year

  [Keng-Yu Lin]
  * lib: add PCIe ASPM configuration check in the batch test
  * debian: use dh-autoreconf

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Tue, 31 Jan 2012 13:47:48 +0800

fwts (0.24.16) precise; urgency=low

  [Chris Van Hoof]
  * Renaming directory 'iso-image' to 'live-image' and
    'live-image/fwts_wrapper' to 'live-image/fwts-frontend-text'
  * Adding a default dialogrc configuration file to select the Ubuntu color
    palatte when fwts-frontend-text is executed
  * Adding a bit of conditional logic to fwts-frontend-text to better detect
    if executed in a live image and setting defaults which make the script
    easier to control
  * debian: adding fwts-frontend.install
  * debian: update control file to build the _optional_ fwts-frontend package

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Mon, 09 Jan 2012 11:08:06 +0100

fwts (0.24.15) precise; urgency=low

  * lib: fwts_acpi_find_rsdp_bios should only scan for RSDP on Intel/AMD
  * cpu: msr: disabled test for non-Intel/AMD architectures 

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Mon, 09 Jan 2012 10:17:46 +0100

fwts (0.24.14) precise; urgency=low

  * Add copy-acpica.sh script that updates the ACPI
  * data: klog: add _OSC evaluation failure tests
  * data: klog: add _CRS evaluation PNP kernel erro
  * uefi: csm: fix typo.

 -- Keng-Yu Lin <kengyu@canonical.com>  Wed, 16 Nov 2011 11:49:04 +0800

fwts (0.24.13) precise; urgency=low

  * acpi: power_button: remove check on /proc/acpi/button/power
  * lib: fwts_button: add power button support
  * acpi: lid: use button helper
  * lib: add generic button helper into lib
  * lib: add generic button helper

 -- Colin King <colin.king@canonical.com>  Tue, 9 Nov 2011 12:37:00 +0100

fwts (0.24.12) precise; urgency=low

  * debian: update control
  * uefi: add UEFI CSM check.

 -- Colin King <colin.king@canonical.com>  Tue, 9 Nov 2011 10:05:00 +0100

fwts (0.24.11) oneiric; urgency=low

  * lib: update battery helpers and re-work tests
  * acpi: s3power: use fwts_battery helper
  * lib: add fwts_battery
  * s3power: use fwts_ac_adapter()
  * acpi: ac_adapter: use fwts_ac_adapter lib
  * lib: add fwts_ac_adapter
  * acpi: ac_adapter: use newer /sys interface
  * acpi: method: clean up dangling whitespaces
  * acpi: method: handle mobile platform tests when FADT is lying
  * acpi: method: dump return object on non-null return failures.
  * acpi: method: make lock delay between each test 0 usecs

