=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: devel
 Priority: optional
 Maintainer: Colin King <colin.king@ubuntu.com>
-Standards-Version: 3.9.1
-Build-Depends: debhelper (>= 7), libpcre3-dev (>= 7.8), libjson0-dev (>= 0.9), flex, bison
+Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7), autoconf, automake, libtool, libpcre3-dev (>= 7.8), libjson0-dev (>= 0.9), flex, bison
 
 Package: fwts
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, pciutils, dmidecode
+Depends: ${shlibs:Depends}, ${misc:Depends}, pciutils 
+Suggests: dmidecode, net-tools, wireless-tools, bluez, xinput, pulseaudio-utils
 Description: FirmWare Test Suite
  This is a firmware test suite that performs sanity checks on Intel/AMD 
  PC firmware. It is intended to identify BIOS and ACPI errors and 
@@ -41,3 +42,12 @@
  This is the fwts core library. It contains a top level test framework
  and a rich range of firmware specific testing support code for the 
  various fwts tests.
+
+Package: fwts-frontend
+Architecture: all
+Priority: optional
+Depends: ${shlibs:Depends}, ${misc:Depends}, dialog
+Description: Firmware Test Suite frontend interface
+ This is a dialog based interface designed to provide an easy to use method
+ to execute tests via Firmware Test Suite and is also used as the primary 
+ interface within Firmware Test Suit live images.
