=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	autoreconf
	dh_auto_configure

%:
	dh $@
