## fwts 0.25.06precise1

=== debian/changelog ===
fwts (0.25.06precise1) precise-proposed; urgency=low

  * Stable Release Update for Precise (LP: #1033451)

  [Alex Hung]
  * acpi: method: Change _BBN's test_type from METHOD_MOBILE to METHOD_OPTIONAL

  [Colin Ian King]
  * acpi: acpidump: add extra ACPI 5.0 fields to FACP
  * acpi: acpidump: Add support for bit 20 and 21 of FADT flags
  * Update FADT preferred PM profile to add Tablet
  * dmi: dmi_decode: make advice more relevant to data handled by the kernel
  * Add mutex around semaphore counting (LP: #1017388)
  * acpi: method: remove race delay kludge
  * lib: acpi_acpi_tables: Add tables based on ACPI name and not file name.
  * lib: fwts_acpi_tables: Force fixup on XSDT and RSDT when loading from .dat
    files
  * lib: acpica: fix semaphore counting by waiting for threads to complete
  * acpica: incorporate new ACPICA sources to enable fwts to build
  * acpica: use latest ACPICA source
  * Update copy-acpica.sh to copy over new sources
  * Update README_ACPICA.txt to add in new acpica sources
  * acpi: acpidump + acpi headers: Add simple support for FPDT
  * acpi: acpidump + acpi headers: Add basic dump of RASF
  * acpi: acpidump: Add stub for MPST
  * acpi: acpidump: make arrays static
  * data: klog.json: make the _OSC failure advice more general and hand-wavy
  * cpu: cpufreq: cpufreq and cpuidle dirs confusing cpuN parsing
  * cpu: cpufreq: make progress estimate more accurate
  * cpu: cpufreq: tidy up table output
  * cpu: cpufreq: rename some global variables to make them more readable
  * cpu: cpufreq: various whitespace clean ups
  * cpu: cpufreq: tidy up memset usage
  * cpu: cpufreq: make HzToHuman() more efficient
  * cpu: cpufreq: add need to run as root
  * bios: mtrr: fix stupid typos
  * lib: fwts_klog: optimize regex scanning (LP: #1028031)

  [Keng-Yu Lin]
  * debian: Add hardening options

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Fri, 27 Jul 2012 17:22:07 +0800

fwts (0.25.05) quantal; urgency=low

  [Chris Van Hoof]
  * live-image/fwts-frontend-text: use mv versus ln as symbolic links are not
    supported on fat file systems

  [Colin Ian King]
  * dmi_decode: Add some more advice text
  * dmi_decode: Only be pedantic if we are sure about the board type
    (LP: #1021674)
  * dmi_decode: report chassis types with 0x prefix since they are in hex
  * lib: tidy up source, remove trailing whitespaces and empty lines
  * acpi: method: update table of implemented tests
  * acpi: method: add new _AEI check
  * acpi: method: Add stub for ACPI 5.0 _CPC
  * acpi: method: Add new ACPI 5.0 _PRE
  * acpi: method: Add new ACPI 5.0 _PSE check
  * acpi: acpidump: Add ACPI 5.0 GTDT support.
  * acpi: acpidump: Add ACPI 5.0 BGRT support.
  * lib: fwts_log_json: do more json object out of memory checking
  * acpi: acpidump: dump out ACPI UEFI tables
  * acpi: acpidump: Add SLIC table dump
  * acpi: acpidump: dump out the DMAR table
  * acpi: acpidump: dump out the ASF! table
  * acpi: acpidump: Add dump of TCPA
  * acpi: s4: hibernate/resume failures should be HIGH failures
  * acpi: s3: suspend/resume failures should be HIGH failures
  * Add empty m4 directory so autoreconf does not fail
  * Remove the autotool generated files
  * lib: fwts_hwinfo: sort device info before comparing (LP: #1018288)

  [Keng-Yu Lin]
  * Install the libraries in pkglib
  * debian: Add autoreconf parameters -ivf

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Wed, 11 Jul 2012 13:58:43 +0800

fwts (0.25.04) quantal; urgency=low

  [Colin Ian King]
  * apci: acpitables: only check CMOS in BOOT table from firmware tables
    (LP: #1016469)
  * lib: fwts_acpi_tables: add ACPI table provenance
  * lib: fwts_acpi_tables: load tables in deterministically
  * lib: fwts_log: handle special logfile names
  * lib: log: move line counting to logging back-ends
  * lib: fwts_log: remove fwts_log_line_number(), no longer used
  * lib: fwts_framework: output all logfile names being written to
  * lib: fwts_log: add fwts_log_get_filenames()
  * lib: fwts_summary: remove references to log line number

  [Keng-Yu Lin]
  * debian: Fix up the dependency of debian packages

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Mon, 25 Jun 2012 16:44:51 +0800

fwts (0.25.03) quantal; urgency=low

  [Chris Van Hoof]
  * live-image/fwts-frontend-text: conditional added to done_tests_finish()
    which creates a symbolic link to the latest results.html at the top level
    WORK_DIR
  * live-image/fwts-frontend-text: adding support for both plaintext and html
    log out by default with --log-type

  [Colin Ian King]
  * apci: checksum: RSDT and XSDT checksum failures should not be critical
    (LP: #1013168)
  * lib: fwts_log_html: convert misc ASCII chars to HTML mnemonics
  * lib: fwts_framework: handle --log-type parse errors
  * lib: fwts_summary: handle the log_type now that it is a bit map
  * lib: rework logging and framework to allow for multiple output logs
  * lib: fwts_framework: handle nested log section endings on ABORT
  * lib: fwts_log_html: remove timestamp as it is in the heading anyhow
  * Update README
  * lib: fwts_acpi_tables: fake table start address when loading from file.
  * lib: fwts_framework: set log name suffix when using --log-type option
  * lib: fwts_summary: HTML summary should not be in verbatum
  * lib: fwts_log_html: tweak style and table format
  * lib: fwts_memorymap: output should be in verbatum style
  * bios: mtrr: make MTRR overview all verbatum style, looks better on HTML log
  * lib: add HTML logging backend
  * lib: fwts_framework: log advice as LOG_ADVICE and not LOG_RESULT
  * lib: fwts_framework: remove fwts_framework_results, remove redundant code
  * lib: fwts_log: add extra log types and upper case flavour of
    fwts_log_field_to_str_full()
  * lib: fwts_framework: drop unneccessary \n in log call
  * lib: add xml logging
  * lib: fwts_acpi_method: remove leading 0x in front of dumped strings
  * bios: mtrr: strip off trailing newlines
  * bios: bios_info: strip off trailing newlines

