=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: fwts
 Section: devel
 Priority: optional
-Maintainer: Colin King <colin.king@ubuntu.com>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 7), autoconf, automake, libtool, libpcre3-dev (>= 7.8), libjson0-dev (>= 0.9), flex, bison
+Maintainer: Firmware Testing Team <firmware-testing-team@lists.launchpad.net>
+Uploaders: Colin King <colin.king@ubuntu.com>, Keng-Yu Lin <kengyu@ubuntu.com>, Alex Hung <alex.hung@canonical.com>, Chris Van Hoof <vanhoof@canonical.com>, Ivan Hu <ivan.hu@canonical.com>
+Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 7.0.50~), autoconf, automake, libtool, libpcre3-dev (>= 7.8), libjson0-dev (>= 0.9), flex, bison, hardening-wrapper
 
 Package: fwts
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, pciutils 
+Depends: libfwtsiasl1 (= ${binary:Version}), libfwtsacpica1 (= ${binary:Version}), libfwts1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, pciutils
 Suggests: dmidecode, net-tools, wireless-tools, bluez, xinput, pulseaudio-utils
 Description: FirmWare Test Suite
  This is a firmware test suite that performs sanity checks on Intel/AMD 
@@ -46,7 +47,7 @@
 Package: fwts-frontend
 Architecture: all
 Priority: optional
-Depends: ${shlibs:Depends}, ${misc:Depends}, dialog
+Depends: ${shlibs:Depends}, ${misc:Depends}, dialog, fwts
 Description: Firmware Test Suite frontend interface
  This is a dialog based interface designed to provide an easy to use method
  to execute tests via Firmware Test Suite and is also used as the primary
