## fwts 0.26.00

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

%:
	dh $@ --with autoreconf
